## Apache Zeta Components Manual :: File Source for result_cache.php

## Source for file result_cache.php

Documentation is available at result_cache.php

1. <?php
2. /**
3. * File containing the ezcMvcResultCache class
4. *
5. * Licensed to the Apache Software Foundation (ASF) under one
6. * or more contributor license agreements. See the NOTICE file
7. * distributed with this work for additional information
8. * regarding copyright ownership. The ASF licenses this file
9. * to you under the Apache License, Version 2.0 (the
10. * "License"); you may not use this file except in compliance
11. * with the License. You may obtain a copy of the License at
12. *
13. * http://www.apache.org/licenses/LICENSE-2.0
14. *
15. * Unless required by applicable law or agreed to in writing,
16. * software distributed under the License is distributed on an
17. * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
18. * KIND, either express or implied. See the License for the
19. * specific language governing permissions and limitations
20. * under the License.
21. *
22. * @license http://www.apache.org/licenses/LICENSE-2.0 Apache License, Version 2.0
23. * @version //autogentag//
24. * @filesource
25. * @package MvcTools
26. */
28. /**
29. * This struct contains the cache control sessints for the result.
30. *
31. * @package MvcTools
32. * @version //autogentag//
33. */
34. class ezcMvcResultCache extends ezcBaseStruct
35. {
36. /**
37. * Vary headers for cache control
38. *
39. * @var string
40. */
41. public $vary ;
43. /**
44. * Expiry date
45. *
46. * @var DateTime
47. */
48. public $expire ;
50. /**
51. * Cache control parameters
52. *
53. * @var array(string)
54. */
55. public $controls ;
57. /**
58. * Contains cache pragma settings
59. *
60. * @var string
61. */
62. public $pragma ;
64. /**
65. * Last modified date
66. *
67. * @var DateTime
68. */
69. public $lastModified ;
71. /**
72. * Constructs a new ezcMvcResultCache.
73. *
74. * @param string $vary
75. * @param DateTime $expire
76. * @param array(string) $controls
77. * @param string $pragma
78. * @param DateTime $lastModified
79. */
80. public function __construct ( $vary = '', $expire = null,
81. $controls = null, $pragma = '', $lastModified = null )
82. {
83. $this-> vary = $vary;
84. $this-> expire = $expire;
85. $this-> controls = $controls;
86. $this-> pragma = $pragma;
87. $this-> lastModified = $lastModified;
88. }
90. /**
91. * Returns a new instance of this class with the data specified by $array.
92. *
93. * $array contains all the data members of this class in the form:
94. * array('member_name'=>value).
95. *
96. * __set_state makes this class exportable with var_export.
97. * var_export() generates code, that calls this method when it
98. * is parsed with PHP.
99. *
100. * @param array(string=>mixed) $array
101. * @return ezcMvcResultCache
102. */
103. static public function __set_state ( array $array )
104. {
105. return new ezcMvcResultCache( $array['vary'], $array['expire'],
106. $array['controls'], $array['pragma'], $array['lastModified'] );
107. }
108. }
109. ?>

Documentation generated by phpDocumentor 1.4.3